package ru.dbotthepony.mc.otm.entity

import net.minecraft.world.entity.EquipmentSlot
import net.minecraft.world.entity.monster.WitherSkeleton
import net.minecraft.world.item.ItemStack
import net.minecraft.world.item.Items
import net.neoforged.bus.api.SubscribeEvent
import net.neoforged.neoforge.event.entity.EntityJoinLevelEvent
import ru.dbotthepony.mc.otm.core.otmRandom
import ru.dbotthepony.mc.otm.registry.game.MItems


object WitheredSkeletonSpawnHandler {
	@SubscribeEvent
	fun onEntityJoin(event: EntityJoinLevelEvent) {
		val entity = event.entity

		if (entity is WitherSkeleton) {
			val giveHelmet = event.level.otmRandom.nextFloat() < 0.1f
			val giveSword = event.level.otmRandom.nextFloat() < 0.24f

			if (giveHelmet) {
				entity.setItemSlot(EquipmentSlot.HEAD, ItemStack(Items.NETHERITE_HELMET))
			}

			if (giveSword || giveHelmet) {
				entity.setItemSlot(EquipmentSlot.MAINHAND, ItemStack(MItems.WITHERED_STEEL_SWORD))
			}
		}
	}
}
